<!DOCTYPE html>

<html lang = "ru">
<head>
  <title>Психологический тест</title>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1, viewport-fit=cover">
  <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/css/bootstrap.min.css"
        integrity="sha384-Gn5384xqQ1aoWXA+058RXPxPg6fy4IWvTNh0E263XmFcJlSAwiGgFAW/dAiS6JXm"
        crossorigin="anonymous"/>
  <link rel="stylesheet" href="style.css">

  <script
          src="https://code.jquery.com/jquery-3.2.1.min.js"
          integrity="sha256-hwg4gsxgFZhOsEEamdOYGBf13FyQuiTwlAQgxVSNgt4="
          crossorigin="anonymous">
  </script>

  <script src="https://code.jquery.com/jquery-1.11.0.min.js"></script>
  <script src="https://code.jquery.com/jquery-migrate-1.2.1.min.js"></script>

  <script src="data.js"></script>
  <script src="script.js"></script>
  <script src="script-task-1.js"></script>
  <script src="script-task-2.js"></script>
  <script src="script-task-3.js"></script>
</head>
<body class="">
      <div class="wrapper text-center" id="start-test">
        <button type="button" class="btn btn-outline-dark startBtn"  onclick="nextStage('test1', 'start-test', 'block')">
          Начать тестирование
        </button>
      </div>

      <div class="text-center mt-3 mt-md-4" id="test1" style="display: none">
        <h1 id="test1_title">Этап 1</h1>
        <h2 id="test1_subtitle">Восстановить последовательность загорания лампочек</h2>

        <div>
          <div class="row justify-content-center mt-5 ">
            <div class="col-4 col-md-3 d-flex justify-content-center ">
              <button class="circle text-center" id="1" onclick="chooseCircle('1')">1</button>
            </div>
            <div class="col-4 col-md-3 d-flex justify-content-center ">
              <button class="circle text-center" id="2" onclick="chooseCircle('2')">2</button>
            </div>
          </div>
          <div class="row justify-content-center mt-2 mt-md-5">
            <div class="col-4 col-md-3 d-flex justify-content-center ">
              <button class="circle text-center" id="3" onclick="chooseCircle('3')">3</button>
            </div>
            <div class="col-4 col-md-3 d-flex  justify-content-center ">
              <button class="circle text-center" id="4" onclick="chooseCircle('4')">4</button>
            </div>
            <div class="col-4 col-md-3 d-flex justify-content-center ">
              <button class="circle text-center" id="5" onclick="chooseCircle('5')">5</button>
            </div>
          </div>
          <div class="row   justify-content-center mt-2 mt-md-5">
            <div class="col-4 col-md-3 d-flex justify-content-center ">
              <button class="circle text-center" id="6" onclick="chooseCircle('6')">6</button>
            </div>
            <div class="col-4 col-md-3 d-flex justify-content-center ">
              <button class="circle text-center" id="7" onclick="chooseCircle('7')">7</button>
            </div>
          </div>
        </div>

        <div class="row justify-content-center mt-5">
          <div class="col" align="center">
            <button type="button" class="btn btn-outline-dark startBtn mt-3" onclick="startTest1('test1_title', 'test1_subtitle', this)">
              Начать
            </button>
            <h2 class="mt-md-5" id="task1" style="display:none">Восстановите последовательность</h2>
            <button id="finishTask1" type="button" class="btn btn-outline-dark startBtn" onclick="finishTest1()" style="display:none">
              Завершить
            </button>
          </div>
        </div>
      </div>
      <div class="wrapper text-center" id="result1" style="display: none">
        <div>
          <b>Ваш ответ: </b>
          <b id="resOut_1"></b> </br>
        </div>
        <div>
          <b>Верный ответ: </b>
          <b id="ansOut_1"></b>  </br>
        </div>
        <div>
          <b>Время выполнения: </b>
          <b id="time_1"></b> <b>  секунд(ы)</b></br>
        </div>
        <button type="button" class="btn btn-outline-dark startBtn mt-3" onclick="nextStage('test2', 'result1', 'flex')">
          Следующий этап
        </button>
      </div>

      <div class="wrapper text-center" id="test2" style="display: none">
        <h1 id="test2_title">Этап 2</h1>
        <h2 id="test2_subtitle">
          Дана случайная последовательность цифр. Меняя местами пары цифр,
          добиться упорядоченности по возрастанию.
        </h2>
        <button type="button" class="btn btn-outline-dark startBtn mt-3" onclick="startTest2('test2_title', 'test2_subtitle', this)">
          Начать
        </button>
        <div class="row justify-content-center test-2-numbers">
            <button id="num1" class="col-2 number m-1" onclick="chooseNumber(this)"></button>
            <button id="num2" class="col-2 number m-1" onclick="chooseNumber(this)"></button>
            <button id="num3" class="col-2 number m-1" onclick="chooseNumber(this)"></button>
            <button id="num4" class="col-2 number m-1" onclick="chooseNumber(this)"></button>
            <button id="num5" class="col-2 number m-1" onclick="chooseNumber(this)"></button>
        </div>
      </div>
      <div class="wrapper text-center" id="result2" style="display: none">
        <div>
          <b>Количество перестановок:  </b>
          <b id="resOut_2"></b> </br>
        </div>
        <div>
          <b>Время выполнения:  </b>
          <b id="time_2"></b> <b>  секунд(ы)</b></br>
        </div>
        <button type="button" class="btn btn-outline-dark startBtn mt-3" onclick="nextStage('test3', 'result2', 'flex')">
          Следующий этап
        </button>
      </div>

      <div class="wrapper text-center" id="test3" style="display: none">
        <h1 id="test3_title">Этап 3</h1>
        <h2 id="test3_subtitle">
          Дано слово. Определить каким цветом оно написано.
        </h2>
        <button type="button" class="btn btn-outline-dark startBtn mt-3 mt-lg-5" onclick="startTest3('test3_title', 'test3_subtitle', this)">
          Начать
        </button>

        <div class="wrapper" id="test-3-round" style="display: none">
          <div class="word-wrapper">
            <h2 id="test-3-word"></h2>
          </div>
          <div>
            <button id="color1" class="color-btn"  onclick="chooseColor('color1')"></button>
          </div>
          <div>
            <button id="color2" class="color-btn" onclick="chooseColor('color2')"></button>
          </div>
          <div>
            <button id="color3" class="color-btn" onclick="chooseColor('color3')"></button>
          </div>
        </div>
      </div>
      <div class="wrapper text-center mx-5" id="result3" style="display: none">
        <div>
          <b>Количество правильных ответов:  </b>
          <b id="resOut_3"></b>
          <b> из 5</b> </br></div>
        <div>
          <b>Время выполнения:  </b>
          <b id="time_3"></b> <b>  секунд(ы)</b></br>
        </div>
        <button type="button" class="btn btn-outline-dark startBtn mt-3" onclick="nextStage('test-end', 'result3', 'flex')">
          Завершить тестирование
        </button>
    </div>
    <div class="wrapper text-center test-end" id="test-end" style="display: none">
      <h2>Ваши результаты были отправлены! Спасибо!</h2>
    </div>
</body>
</html>
